#include <demo.h>
#include <bezier.h>


float bezier(float x0, float x1, float x2, float x3, float t)
{
    float a = 0.0f;
    float b = 0.0f;
    float c = 0.0f;
    float t2 = 0.0f;
    float t3 = 0.0f;

    t2 = t*t;
    t3 = t2*t;

    c = 3.0f*(x1-x0);
    b = 3.0f*(x2-x1)-c;
    a = x3-x0-c-b;

    return a*t3+b*t2+c*t+x0;
}
