#ifndef __BUMP_H_
#define __BUMP_H_

#include <math.h>

#define fmax(Val1, Val2)  (Val1>Val2)? Val1:Val2
#define fmin(Val1, Val2)  (Val1<Val2)? Val1:Val2




#define AMBIENT 5
#define DIFFUSE 100
#define SPECULAR 100

float vz[256][256];
float envmap[256*256];




void EnvMap(void);
void initBump(void);
void Bump(int lx1,int ly1, 
	  int lx2,int ly2, 
	  int lx3,int ly3, 
	  unsigned char *bumpmap);
void MonRadialBlur( unsigned int *bmp, int centre_blur_x, int centre_blur_y, int intensity );
#endif /*__BUMP_H_*/
