#ifndef __INTERP_H_
#define __INTERP_H_
#include <3d.h> 

float interpLinear(float start, float end, float timeseek);
float interpCosine(float start, float end, float timeseek);
float interpCubic(float y0, float y1,float y2, float y3, float timeseek);

sCurve *loadCurve(unsigned char *filename);
void displayCurve(sCurve *curve);
void getCurvePosition(sCurve *curve, sVector *position, float timeseek, int type);

#endif /*__INTERP_H_*/
